local M = {}

local function onInit()
	electrics.values['RPM_led1'] = 0
	electrics.values['RPM_led2'] = 0
	electrics.values['RPM_led3'] = 0
	electrics.values['RPM_led4'] = 0
	electrics.values['RPM_led5'] = 0
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
	
	if electrics.values['rpm'] > 2960 then 
	   electrics.values['RPM_led1'] = 1 else electrics.values['RPM_led1'] = 0
	end
	
	if electrics.values['rpm'] > 4050 then 
	   electrics.values['RPM_led2'] = 1 else electrics.values['RPM_led2'] = 0
	end
	
	if electrics.values['rpm'] > 4500 then 
	   electrics.values['RPM_led3'] = 1 else electrics.values['RPM_led3'] = 0
	end
	
	if electrics.values['rpm'] > 6750 then 
	   electrics.values['RPM_led4'] = 1 else electrics.values['RPM_led4'] = 0
	end
	
	if electrics.values['rpm'] > 7500 then 
	   electrics.values['RPM_led5'] = 1 else electrics.values['RPM_led5'] = 0
	end
	
end

-- public interface
M.onInit = onInit
M.onReset = onReset
M.updateGFX = updateGFX

return M