-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local gear_A = 0
local gearIndex = 0

local function onInit()
    electrics.values['Vdisp_P'] = 0
    electrics.values['Vdisp_R'] = 0
    electrics.values['vdisp_N'] = 0
    electrics.values['Vdisp_1'] = 0
    electrics.values['Vdisp_2'] = 0
    electrics.values['Vdisp_3'] = 0
    electrics.values['Vdisp_4'] = 0
    electrics.values['Vdisp_5'] = 0
    
end

local function reset()
  onInit()
end

local function updateGFX(dt)
  gearIndex = electrics.values.gearIndex or 0
  gear_A = electrics.values['gear_A'] or 0
--Rev
  if gearIndex < -0.5 then
    electrics.values['Vdisp_R'] = 1
  else
    electrics.values['Vdisp_R'] = 0
  end
--Neutral
  if gearIndex >= -0.5 and gearIndex < 0.5 then
    electrics.values['vdisp_N'] = 1
  else
    electrics.values['vdisp_N'] = 0
  end
--First
  if gearIndex >= 0.5 and gearIndex < 1.5 then
    electrics.values['Vdisp_1'] = 1
  else
    electrics.values['Vdisp_1'] = 0
  end
--Second
  if gearIndex >= 1.5 and gearIndex < 2.5 then
    electrics.values['Vdisp_2'] = 1
  else
    electrics.values['Vdisp_2'] = 0
  end
--Third
  if gearIndex >= 2.5 and gearIndex < 3.5 then
    electrics.values['Vdisp_3'] = 1
  else
    electrics.values['Vdisp_3'] = 0
  end
--Fourth
  if gearIndex >= 3.5 and gearIndex < 4.5 then
    electrics.values['Vdisp_4'] = 1
  else
    electrics.values['Vdisp_4'] = 0
  end
--Fifth
  if gearIndex >= 4.5 and gearIndex < 5.5 then
    electrics.values['Vdisp_5'] = 1
  else
    electrics.values['Vdisp_5'] = 0
  end
end

-- public interface
M.onInit      = onInit
M.reset     = reset
M.updateGFX = updateGFX

return M